# Píton - Aprenda programação em Português!

#
![Píton Logo](piton/logo.jpg)
#

Se você deseja aprender programação em Python em um ambiente completamente em português, a biblioteca Píton é a escolha certa para você! Com uma sintaxe próxima ao Python convencional, mas totalmente em português, a Píton torna o aprendizado de algoritmos e lógica de programação mais acessível e amigável para falantes da língua portuguesa.

#

## Instalação

Para começar a utilizar a biblioteca Píton, siga estes passos simples:

1. Certifique-se de ter o Python instalado em sua máquina.

2. Abra o terminal ou prompt de comando.

3. Execute o seguinte comando para instalar a biblioteca:

```shell
pip install piton
```
#

## Como usar

Após a instalação, você está pronto para começar a utilizar a Píton em seus projetos Python. Importe todos os módulos e funções com o seguinte comando e comece a explorar:

```python
from piton import *
```
#

## Recursos da Píton

A biblioteca Píton oferece recursos poderosos que tornam o aprendizado de Python uma experiência agradável e descomplicada.

Confira alguns dos recursos disponíveis:

- Função de escrita de dados: Permite escrever dados em algum tipo de saída, como o console ou um arquivo.

- Função de leitura de dados: Permite ler dados de uma entrada, como o teclado ou um arquivo.

- Função verificadora de tipo de dados: Permite verificar o tipo de um dado específico.

- Funções conversoras de tipo: Oferece funções para converter um tipo de dado em outro.

- Condicional Se, Senão Se, Senão: Permite realizar uma sequência de verificações condicionais e executar diferentes blocos de código com base nas condições.

- Condicional Escolha Caso: Permite executar um bloco de código com base em diferentes valores possíveis de uma variável.

- Repetição De, Até: Executa um bloco de código repetidamente para um intervalo específico de valores.

- Repetição Enquanto: Executa um bloco de código repetidamente enquanto uma condição for verdadeira.

- Função de importação: Permite importar módulos ou partes específicas de um módulo em seu código.

- Exceções personalizadas: Permite utilizar exceções personalizadas em português.


Explore os [exemplos práticos](https://github.com/duxtec/piton/tree/main/exemplos) disponíveis no repositório oficial para ver a biblioteca em ação.

#

## Contribua para a Píton

Você pode contribuir para o desenvolvimento e aprimoramento contínuo da biblioteca Píton! Se você encontrou algum bug, tem sugestões de melhorias ou deseja adicionar novos recursos, fique à vontade para enviar um pull request. Siga as diretrizes de contribuição no repositório oficial para mais detalhes.

#

## Suporte

Precisa de suporte ou tem alguma dúvida relacionada à biblioteca Píton? Entre em contato conosco através do nosso canal de suporte em [contato@dux.tec.br](mailto:contato@dux.tec.br).

#

## Licença

A biblioteca Píton é licenciada sob a GPLv3. Consulte o arquivo LICENSE no repositório oficial para mais detalhes.

#

## Contato

Email: [contato@dux.tec.br](mailto:contato@dux.tec.br)

Autor: Dux Tecnologia

Desenvolvedor: Thiago Costa Pereira

Colaborador: Leonardo Coelho

#

Comece sua jornada de aprendizado em Python com a Píton e aproveite uma maneira fácil e amigável de dominar a programação!